Bug 994552 - (dolphin-plugins) Review Request: dolphin-plugins - Dolphin plugins for revision control systems
Review Request: dolphin-plugins - Dolphin plugins for revision control systems
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rex Dieter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews
  Show dependency treegraph
 
Reported: 2013-08-07 09:42 EDT by Jan Grulich
Modified: 2013-08-14 09:38 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-14 09:38:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Grulich 2013-08-07 09:42:46 EDT
Spec URL: http://jgrulich.fedorapeople.org/dolphin-plugins.spec
SRPM URL: http://jgrulich.fedorapeople.org/dolphin-plugins-4.10.97-1.fc19.src.rpm
Description: Plugins for the Dolphin file manager integrating the following revision control
systems:
* Git
* Subversion (SVN)
* Bazaar (Bzr)
* Mercurial (Hg)
Fedora Account System Username: jgrulich

Successful build: http://koji.fedoraproject.org/koji/taskinfo?taskID=5789786

This package was previously part of kdesdk. Now it's distributed separately in KDE 4.11.
Comment 1 Rex Dieter 2013-08-07 09:53:09 EDT
Need to add
Obsoletes: kdesdk-dolphin-plugins < 7:4.10.80
too, for upgrade path.
Comment 2 Rex Dieter 2013-08-07 09:55:37 EDT
Just checked, prior kdesdk pkg had no epoch, so need to leave out the 7: parts
Comment 4 Rex Dieter 2013-08-13 18:59:41 EDT
1.  better url,
https://projects.kde.org/projects/kde/kdesdk/dolphin-plugins

2.  SHOULD drop unused
BuildRequires:  desktop-file-utils

naming: ok

licensing: ok

macros: ok

scriptlets: n/a

3.  dependencies: hrm, since these are dolphin plugins, probably ought to add a dependency on it, something like:
Requires: dolphin%{?_kde4_version: >= %{_kde4_version}}
(dolphin is currently a virtual provides in kde-baseapps)

these items are largely cosmetic, and can be fixed post-review.


APPROVED.
Comment 5 Jan Grulich 2013-08-14 01:22:15 EDT
New Package SCM Request
=======================
Package Name: dolphin-plugins
Short Description: Dolphin plugins for revision control systems
Owners: than rdieter kkofler ltinkl jgrulich
Branches: f18 f19
InitialCC:
Comment 6 Gwyn Ciesla 2013-08-14 08:55:46 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.